Issue 1530 interactive author selection dialogue

Title interactive author selection dialogue
Priority wishlist Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List dan, darcs-devel, dmitry.kurochkin, jaredj, kowey
Assigned To
Topics ProbablyEasy, UI

Created on 2009-08-17.15:33:25 by kowey, last changed 2010-08-07.19:02:45 by kowey.

msg8207 (view) Author: kowey Date: 2009-08-17.15:33:18
I'm getting sick of darcs using the wrong author because I set my DARCS_EMAIL.
I would like to have a file like .darcs/authors with one entry per line.

If I record a patch in a repo that does not have _darcs/prefs/author set,
instead of asking me what my email address is, I would like darcs to ask me to
make a multiple-choice selection, e.g.
 1. Eric Kow <E.Y.Kow@brighton.ac.uk>
 2. Eric Kow <kowey@darcs.net>
 3. Eric Kow <eric.kow@gmail.com>
 4. other...

Making Dan nosy on this because I think he wants something similar
msg12040 (view) Author: kowey Date: 2010-08-07.19:02:45
The following patch updated issue issue1530 with status=resolved;resolvedin=2.8.0 HEAD

* Resolve issue1530: allow user to pick from multiple email address. 
Ignore-this: 531e6c9498f9155c1a8f926ee56a68e3
If your global authors pref has more than one line in it, Darcs will
prompt you something like:

  You have saved the following email addresses to your global settings:
  1. Fred Bloggs <fred@example.net>
  2. Fred Bloggs <fred@home.example.tld>
  3. BLOGGS Fred <fbloggs@example.com>
  4. Other
  Please select an email address for this repository.
Date User Action Args
2009-08-17 15:33:25koweycreate
2009-08-25 18:15:19adminsetnosy: + darcs-devel, - simon
2009-08-27 14:25:22adminsetnosy: kowey, darcs-devel, thorkilnaur, jaredj, dmitry.kurochkin, dan
2010-03-30 10:13:54koweysetnosy: - thorkilnaur
2010-08-07 19:02:45koweysetstatus: needs-implementation -> resolved
messages: + msg12040
resolvedin: 2.8.0